ProLiant Servers (ML,DL,SL)
cancel
Showing results for 
Search instead for 
Did you mean: 

DL180 G5 / E200 and hpacucli - with 64bit linux.

 
Mark Leman
Occasional Contributor

DL180 G5 / E200 and hpacucli - with 64bit linux.

I have a DL180 g5 and have installed openfiler version 2.99 on it.

 

I wish to use the hpacucli utilities and have installed them but they will not run as they appear to be statically linked at 32bit apps.

 

Unfortunately openfiler 2.99 is a 64bit distro (based on rpath which i am not familiar with) and they have removed all support for 32bit apps and I can't add it back.

 

Who do i need to ask in HP to release 64bit version of hpacucli?

 

Regards, Mark Leman

2 REPLIES
Suman_1978
HPE Pro

Re: DL180 G5 / E200 and hpacucli - with 64bit linux.

Mark,

 

Have you tried the hpacucli which is released for RHEL and SuSE 64bit?

Here are the links.

 

http://h20000.www2.hp.com/bizsupport/TechSupport/SoftwareDescription.jsp?lang=en&cc=us&prodTypeId=15351&prodSeriesId=3580698&prodNameId=3580699&swEnvOID=4004&swLang=8&mode=2&taskId=135&swItem=MTX-c029e034abc54269a327a9b9c7

 

Also checkout this forum:http://forums.openfiler.com/viewtopic.php?pid=25657

 

Hope the above links help you fix the issue.

Thanks.

 

Mark Leman
Occasional Contributor

Re: DL180 G5 / E200 and hpacucli - with 64bit linux.

Hi,

I have compared the 64 and 32 bit versions for RHEL and they are identical, both appear to rely on the 32bit 'compatibility' within 64bit linux, which has been deliberately removed from openfiler 2.99. 

 

Thanks for the openfiler forum link, I had already found that and the last two comments were not promising. I am not familiar with rPath Linux and it's package manager 'conary' and it appears that adding the 32bit libraries back in to openfiler2.99 is not that easy :( ..... hence I asked here for a 64bit version of hpacucli.

 

Thanks for you response, regards

Mark Leman